Skip to main content
GET
/
api
/
v1
/
sandbox
/
sessions
/
{session_id}
/
workspace
/
files
/
{file_path}
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.sandbox.downloadFile({
    sessionId: "demo-python-20260316",
    filePath: "outputs/report.txt",
    sessionToken: "sandbox_test_20260316_4f9c2b1a",
  });

  console.log(result);
}

run();
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Path Parameters

session_id
string
required
file_path
string
required

Query Parameters

session_token
string
required

Response

Successful Response